workflow:
  id: input-example
  name: Input Example
  description: Simple workflow demonstrating input functionality with customizable messages.
  triggers:
    - type: manual

  inputs:
    - name: message
      description: The message to log to the console
      type: string
      default: "Hey"
    - name: nodefault
      description: A no default examples
      type: string
    - name: boolexample
      description: Whether to log the message
      type: boolean
      default: true
    - name: choiceexample
      description: The choice to make
      type: choice
      default: "option1"
      options:
        - option1
        - option2
        - option3
  actions:
    - name: echo
      provider:
        type: console
        with:
          message: |
            "This is my input message: {{ inputs.message }}
            This is my input boolean: {{ inputs.boolexample }}
            This is my input choice: {{ inputs.choiceexample }}"
